# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname clusterPy
Name:           python-module-clusterPy
Version:        0.9.9
Release:        alt1_6
Summary:        Library of spatially constrained clustering algorithms

Group:          Development/C
License:        BSD
URL:            http://www.rise-group.org/risem/clusterpy
Source0:        http://clusterpy.googlecode.com/files/%{oldname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
Source44: import.info


%description
Analytical regionalization is a scientific way to decide how to group or
cluster a large number of geographic areas or points into a smaller number
of regions based on their similarities. ClusterPy offers the following
clustering algorithms: Arisel, AZP, AZP-Simulated Annealing, AZP-Tabu,
AZP-R-Tabu, Max-p-regions (Tabu), AMOEBA, SOM and geoSOM.

%prep
%setup -n %{oldname}-%{version} -q


%build
%{__python} setup.py build

# Examples point to clusterpy/data_examples
# http://clusterpy.googlecode.com/files/california_shapefile.zip
# http://clusterpy.googlecode.com/files/china_shapfile.zip
# Is that data free and shall we ship it?


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.txt LICENSE.txt
%{python_sitelibdir_noarch}/clusterpy
%{python_sitelibdir_noarch}/%{oldname}-%{version}-py*.egg-info
# These two scripts are also in the examples directory, have no shebang
# and seem to serve no purpose otherwise.


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_6
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_5
- update to new release by fcimport

* Thu Jun 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_4
- fc import

